Error reading version line when I play a .bag file.

asked 2019-06-16 13:23:39 -0500

csg gravatar image

I am trying to get SVO working with stereo setup and imu information. I downloaded the fla_stereo_imu.bagfile (from http://rpg.ifi.uzh.ch/datasets/fla_st...), this .bag file contains synchronized stereo images and IMU measurements. Then, I ran roslaunch svo_ros fla_stereo_imu.launch on a terminal, rviz is successfully started.

Then on another terminal I ran rosbag play fla_stereo_imu.bag and received the following error:

[ INFO] [1560645271.361267612]: Opening fla_stereo_imu.bag
[FATAL] [1560645271.361464485]: Error reading version line

What is the root cause of this error? Note that this question is referenced to https://github.com/uzh-rpg/rpg_svo_ex...

edit retag flag offensive close merge delete

Comments

Please do not cross-post your question to multiple sites. Choose one of them and close the other.

Geoff gravatar imageGeoff ( 2019-06-16 18:13:54 -0500 )edit

Did you wait for the bag file to finish downloading before you started playing it? Many browsers download to a temporary file first while making an empty file as a place holder for the final file name, then move the temporary file to the final file name when the download is complete. If you try to play the bag file while it's still downloading, then rosbag will try to play an empty file and give exactly the error you are getting. I have no trouble playing the bag file you indicate after waiting a while for its 2.6 GB download to complete.

Geoff gravatar imageGeoff ( 2019-06-16 18:37:39 -0500 )edit

@Geoff You are spot on. Thanks! I was in a rush and I didn't get a response to my other post for more than 24h that's why I cross posted. I will delete the other one.

csg gravatar imagecsg ( 2019-06-16 20:20:57 -0500 )edit